### Function

# Ide lsp_decode_text_edit

#### Declaration

    IdeTextEdit*
    ide_lsp_decode_text_edit (
      GVariant* text_edit,
      GFile* gfile
    )

#### Description

Attempt to parse an encoded LSP text edit into an `IdeTextEdit`.

Available since: | 41

#### Parameters

`text_edit` | `GVariant`
| An lsp text edit encoded in a variant.
| The data is owned by the caller of the function.
`gfile` | `GFile`
| The file the edit should be applied to.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeTextEdit`
| An `IdeTextEdit`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.